# MongoDB\Driver\ClientEncryption::decrypt

(mongodb >=1.7.0)

MongoDB\Driver\ClientEncryption::decrypt — Decrypt a value

### 说明

final public MongoDB\Driver\ClientEncryption::decrypt(MongoDB\BSON\Binary `$value`): mixed

Decrypts the value.

### 参数

`value`

  A MongoDB\BSON\Binary instance with subtype 6 containing the encrypted value.

### 返回值

Returns the decrypted value as it was passed to MongoDB\Driver\ClientEncryption::encrypt().

### 错误／异常

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.
- Throws MongoDB\Driver\Exception\EncryptionException if an error occurs while decrypting the value

### 参见

- MongoDB\Driver\ClientEncryption::encrypt() - Encrypt a value

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open